Submit Answer
curl --request POST \
--url https://cdn.tailoredd.com/apiV2/questions/{sampleQuestionId}/answers \
--header 'Content-Type: application/json' \
--data '
{
"answer": "Yes, this product is available in blue! We also have it in red and black.",
"author": {
"name": "Customer Support",
"email": "support@store.com"
},
"verified": true
}
'import requests
url = "https://cdn.tailoredd.com/apiV2/questions/{sampleQuestionId}/answers"
payload = {
"answer": "Yes, this product is available in blue! We also have it in red and black.",
"author": {
"name": "Customer Support",
"email": "support@store.com"
},
"verified": True
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
answer: 'Yes, this product is available in blue! We also have it in red and black.',
author: {name: 'Customer Support', email: 'support@store.com'},
verified: true
})
};
fetch('https://cdn.tailoredd.com/apiV2/questions/{sampleQuestionId}/answers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Rating must be between 1 and 5"
}
}Questions & Answers
Submit answer
Submit a merchant or customer answer to an existing product question.
POST
/
questions
/
{sampleQuestionId}
/
answers
Submit Answer
POST {BASE_URL}/questions/{questionId}/answers
Body parameters
string
required
Answer text.
object
Object with
name and email.boolean
true for a verified merchant answer.{
"answer": "Yes, available in blue, red, and black.",
"author": { "name": "Customer Support", "email": "support@yourstore.com" },
"verified": true
}
Was this page helpful?
⌘I